import 'package:doctor_app_flutter/config/size_config.dart';
import 'package:doctor_app_flutter/utils/translations_delegate_base_utils.dart';
import 'package:doctor_app_flutter/widgets/shared/app_texts_widget.dart';
import 'package:flutter/material.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';
import 'package:hexcolor/hexcolor.dart';

class RemoveButton extends StatelessWidget {
  final Function() onTap;
  final String label;

  const RemoveButton({Key? key, required this.onTap, this.label = ''}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkWell(
      child: Row(
        children: [
          Container(
            child: AppText(
              label ?? TranslationBase.of(context).remove,
              fontSize: SizeConfig.getTextMultiplierBasedOnWidth() * 3.5,
              fontWeight: FontWeight.w700,
              color: HexColor("#D02127"),
              letterSpacing: -0.48,
            ),
          ),
           Icon(
             FontAwesomeIcons.times.data,
             color: HexColor("#D02127"),
             size: SizeConfig.getTextMultiplierBasedOnWidth() * 4,
           ),
        ],
      ),
      onTap: onTap,
    );
  }
}
